Encrypt API for Card Wallet Channel Control

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

This API is used to encrypt the payload for the Card Wallet Channel Control API.

Sample request
curl --request POST \
     --url https://payusandbox-kong.pc.enstage-sas.com/api/v2/encrypt \
     --header 'accept: application/json' \
     --header 'content-type: application/json' \
     --header 'x-api-key: 4A02C4267C9A97A1488AB3259FD1A725' \
     --data '
{
  "messageCode": 1280,
  "clientTxnId": "Register_20240408101003",
  "requestDateTime": "20240408101000",
  "urn": "101",
  "enablementType": 1,
  "transactionProfile": [
    {
      "transactionProfileId": "354355",
      "transactionType": "NFC",
      "status": "true"
    }
  ]
}
'
Sample response

Success scenario

{
  "token": "lJDa/wRlUCtCEQz1ItXbiQTXSmkAUj5+OsBWbNgkGFQf/+8kuRbY/beo+ncYomI4WnOZZNNzMXhltlglzZ/b+PcVP1hLF4v7Zdc/q2Hqig6XGFnY0OI8wY57wkozVyVWEMbSnhiL97s5CAiaRXCaCAWN3F+8kt9b08PeB5s/8acKsdk3Id4pNldWPebORA2lMcwHjNhXslRu3e97saSNKKORMSgnHIaj5uM6piZoa0zC2T/uZ2uprQD9YtCjK+KKCKiOrlOdW7KYUk9DiJpM8plR4IMa/MGn8lC3E3bex5/zwEBmtyoGNiSrJFgsyi2A"
}

Failure scenario

  • API key is not provided or invalid API key in the x-api-key parameter.
{
  "message": "No API key found in request"
}
Body Params
const
enum
required

This parameter must include the API Unique Identifier. Include 3070 for this API.

Allowed:
string
required

This parameter must include an unique ID generated by the calling application for each API request.

string
required

This parameter must contain the request date and time in the YYYYMMDDHHMMSS format, where time is in 24 hour format.

string
required

This parameter contains the unique reference number for the generated card/wallet by Prepaid system.

integer
required

This parameter is to identify the channel (single digit number) and must contain any of the following: 1 - Card or 2- Subwallet

transactionProfile
array of objects
required

This parameter contains the type of the transaction for updating the Transaction profile

transactionProfile*
Headers
string
required

This parameter must contain the API key provided by Wibmo.

Response

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json